/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.modules.jeo.gen;

import com.queplix.core.modules.jeo.JEObject;

import java.util.Date;

/**
 * Log entry JEO interface.
 *
 * @author [ONZ] Oleg N. Zhovtanyuk
 * @version $Revision: 1.1.1.1 $ $Date: 2005/09/12 15:30:48 $
 */
public interface LogObject extends JEObject {

    Long getLog_id();

    Integer getUser_type_id();

    Integer getLog_type_id();

    Integer getLog_class_id();

    Long getUser_id();

    String getDescription();

    Date getStamp();

    String getDealer();

    Long getSoln_id();

    void setLog_id(Long log_id);

    void setUser_type_id(Integer user_type_id);

    void setLog_type_id(Integer log_type_id);

    void setLog_class_id(Integer log_class_id);

    void setUser_id(Long user_id);

    void setDescription(String description);

    void setStamp(Date stamp);

    void setDealer(String dealer);

    void setSoln_id(Long soln_id);

}
